## bsdgames-nonfree 2.1

=== Makefile ===
# Makefile - makefile for bsd-games

include Makeconfig

# Directories we can do `make test' in
TESTDIRS=bcd factor morse primes number pom ppt wargames

all:
	@set -e; for i in $(BUILDDIRS); do \
	    echo "Making all in $$i"; \
	    cd $$i; \
	    make all; \
	    cd $(SRCDIR); \
	done

install:
	@echo "Creating installation directories:"
	@set -e; for i in $(GAMESDIR) $(SBINDIR) $(USRBINDIR) \
	    $(MAN5DIR) $(MAN6DIR) $(MAN8DIR) $(LIBDIR) $(SHAREDIR) \
	    $(VARLIBDIR); do \
	    echo " $(INSTALL_PREFIX)$$i"; \
	    test -d $(INSTALL_PREFIX)$$i || \
	    install -d $(INSTALL_PREFIX)$$i; \
	done
	@echo
	@set -e; for i in $(BUILDDIRS); do \
	    echo "Making install in $$i"; \
	    cd $$i; \
	    make install $(DEFS_TO_PASS); \
	    cd $(SRCDIR); \
	done

install-strip:
	@$(MAKE) install $(DEFS_TO_PASS_STRIP)

clean:
	@set -e; for i in $(BUILDDIRS); do \
	    echo "Making clean in $$i"; \
	    cd $$i; \
	    make clean; \
	    cd $(SRCDIR); \
	done

distclean:	clean
	rm -f subst.sed hide-game
	rm -f `cat substfiles`

test:
	@set -e; for i in $(TESTDIRS); do \
	    echo "Making test in $$i"; \
	    cd $$i; \
	    make test; \
	    cd $(SRCDIR); \
	done

=== boggle/Makefile ===
# Makefile - makefile for boggle

include ../Makeconfig

# DICTSRC is the dictionary that will be used to construct the word list used
# by bog.
DICTSRC=../hangman/words

all:	dictionary dictindex boggle/boggle

dictionary:	mkdict/mkdict
	mkdict/mkdict <$(DICTSRC) >dictionary

mkdict/mkdict:	mkdict/mkdict.c
	cd mkdict && $(MAKE) mkdict

dictindex:	mkindex/mkindex dictionary
	mkindex/mkindex <dictionary >dictindex

mkindex/mkindex:	mkindex/mkindex.c
	cd mkindex && $(MAKE) mkindex

boggle/boggle:	boggle/bog.c boggle/bog.h boggle/extern.h boggle/help.c boggle/mach.c boggle/prtable.c boggle/timer.c boggle/word.c
	cd boggle && $(MAKE) boggle

install:
	@set -e; for i in boggle; do \
	    echo "Making install in $$i"; \
	    cd $$i; \
	    $(MAKE) install $(DEFS_TO_PASS); \
	    cd ..; \
	done

clean:
	@set -e; for i in boggle mkdict mkindex; do \
	    echo "Making clean in $$i"; \
	    cd $$i; \
	    $(MAKE) clean; \
	    cd ..; \
	done
	rm -f dictionary dictindex patch.tmp README.linux.old

# This target is for maintainer use to update the patch at the end
# of README.linux.
linux-patch:	
	sed /=====/q README.linux >README.linux.new
	: >patch.tmp
	@echo "Error 1 (ignored) is just when differences are found."
	@echo "Error 2 means trouble."
	-diff -u ../../other/bog/README README >>patch.tmp
	-diff -u ../../other/bog/bog.man boggle/boggle.6 >>patch.tmp
	-diff -u ../../other/bog/bog.c boggle/bog.c >>patch.tmp
	-diff -u ../../other/bog/bog.h boggle/bog.h.in >>patch.tmp
	-diff -u ../../other/bog/help.c boggle/help.c >>patch.tmp
	-diff -u ../../other/bog/helpfile boggle/helpfile >>patch.tmp
	-diff -u ../../other/bog/mach.c boggle/mach.c >>patch.tmp
	-diff -u ../../other/bog/mkdict.c mkdict/mkdict.c >>patch.tmp
	-diff -u ../../other/bog/mkindex.c mkindex/mkindex.c >>patch.tmp
	-diff -u ../../other/bog/prtable.c boggle/prtable.c >>patch.tmp
	-diff -u ../../other/bog/timer.c boggle/timer.c >>patch.tmp
	-diff -u ../../other/bog/word.c boggle/word.c >>patch.tmp
	gzip -9 <patch.tmp |uuencode bog-patch.gz.uue >>README.linux.new
	rm -f patch.tmp
	mv README.linux README.linux.old
	mv README.linux.new README.linux

=== paranoia/Makefile ===
# Makefile - makefile for paranoia

include ../Makeconfig

PROG = paranoia

all:	$(PROG)

$(PROG):	$(PROG).c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(PROG) $(PROG).c

install:	$(PROG)
	$(INSTALL_BINARY) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	$(INSTALL_MANUAL) $(PROG).6

clean:
	rm -f $(PROG) core *.o

=== rogue/Makefile ===
# Makefile - makefile for rogue

include ../Makeconfig

PROG = rogue

OBJS =	curses.o hit.o init.o inventory.o level.o machdep.o main.o \
	message.o monster.o move.o object.o pack.o play.o random.o ring.o \
	room.o save.o score.o spec_hit.o throw.o trap.o use.o zap.o

LIBS = $(NCURSES_LIB)

INCS = -I../include $(NCURSES_INCS)
DEFS = -DUNIX -DUNIX_SYSV

all:	$(PROG)

$(PROG):	$(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $(PROG)

.c.o:	
	$(CC) $(CFLAGS) -fwritable-strings $(DEFS) $(INCS) -c $< -o $@

$(OBJS):	rogue.h

machdep.o score.o:	pathnames.h

install:	$(PROG)
	$(INSTALL_SCORE_GAME) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	$(INSTALL_SCORE_FILE) $(ROGUE_SCOREFILE)
	$(INSTALL_MANUAL) $(PROG).6

clean:	
	rm -f $(PROG) core *.o

=== boggle/boggle/Makefile ===
# Makefile - makefile for boggle/boggle

include ../../Makeconfig

PROG   = boggle

OBJS   = bog.o help.o mach.o prtable.o timer.o word.o
#
# Defining PURE causes this program to be compiled with the default BSD 
# behavior.  Not defining it will allow any Linux "improvements" to be
# included.
#
DEFS = # -DPURE
LIBS   = $(NCURSES_LIB)
INCS   = -I../../include $(NCURSES_INCS)

all:	$(PROG)

$(PROG):	$(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $(PROG)

.c.o:	
	$(CC) $(CFLAGS) $(DEFS) $(INCS) -c $< -o $@

$(OBJS):	bog.h

install:	all
	$(INSTALL_BINARY) $(PROG) $(INSTALL_PREFIX)$(GAMESDIR)
	$(HIDE_GAME) $(PROG)
	test -d $(INSTALL_PREFIX)$(BOGGLE_DIR) || \
	    install -d $(INSTALL_PREFIX)$(BOGGLE_DIR)
	$(INSTALL_DATA) ../dictionary ../dictindex helpfile \
	    $(INSTALL_PREFIX)$(BOGGLE_DIR)
	$(INSTALL_MANUAL) $(PROG).6

clean:	
	rm -f *.o core $(PROG)

=== boggle/mkdict/Makefile ===
# Makefile - makefile for boggle/mkdict

include ../../Makeconfig

PROG = mkdict

all:	$(PROG)

$(PROG):	$(PROG).c ../boggle/bog.h
	$(CC) $(CFLAGS) -I../../include -I../boggle $(LDFLAGS) -o $(PROG) $(PROG).c

clean:
	rm -f $(PROG) core *.o

=== boggle/mkindex/Makefile ===
# Makefile - makefile for boggle/mkindex

include ../../Makeconfig

PROG = mkindex

all:	$(PROG)

$(PROG):	$(PROG).c ../boggle/bog.h
	$(CC) $(CFLAGS) -I../../include -I../boggle $(LDFLAGS) -o $(PROG) $(PROG).c

clean:
	rm -f $(PROG) core *.o

## bsdgames-nonfree 2.17

=== debian/changelog ===
bsdgames-nonfree (2.17-10) unstable; urgency=medium

  * Formally adopt format 3.0 (quilt), albeit with a consolidated patch.
  * debian/postrm: Use set -e rather than passing -e on the shebang-line.
  * rogue/monster.c: Belatedly fix a typo that broke monster creation in
    horizontal tunnels, thanks to the very patient William Chargin.
    (Closes: #955454.)
  * Standards-Version: 4.7.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 03 May 2025 22:03:56 -0400

bsdgames-nonfree (2.17-9) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * No tab in license text (routine-update)
  * Use set -e rather than passing -e on the shebang-line.
  * watch file standard 4 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 07 Feb 2021 10:15:01 -0500

bsdgames-nonfree (2.17-8) unstable; urgency=medium

  * debian/compat: Advance to Debhelper 11 (from 9).
  * debian/control:
    - Bump debhelper requirement to (>= 11~) accordingly.
    - B-D on libncurses-dev, not transitional libncurses5-dev.
    - Repoint Vcs-* at salsa.
    - Explicitly indicate that binary targets require (fake)root (because
      the executable is setgid games).
    - Standards-Version: 4.3.0 (compliant at this point).
  * debian/copyright: Note my 2019 contributions.
  * debian/{docs,rules}: Swap roles of ChangeLog and NEWS.
  * debian/rules: Take advantage of /usr/share/dpkg/buildflags.mk.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 28 Feb 2019 22:30:25 -0500

bsdgames-nonfree (2.17-7) unstable; urgency=medium

  * debian/control: Canonicalize with the help of cme fix.  In particular,
    declare Standards-Version: 3.9.8 (already compliant, not that cme checked).
  * debian/copyright: Canonicalize with the help of cme fix.
  * debian/.gitignore: +debhelper-build-stamp.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 25 Jan 2017 00:09:05 -0500

bsdgames-nonfree (2.17-6) unstable; urgency=low

  * rogue/move.c (check_hunger): Achieve every-other-move effects correctly,
    by consulting m_moves rather than rogue.moves_left.  (Closes: #726195.)
  * Standards-Version: 3.9.4 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 15 Oct 2013 11:12:31 -0400

bsdgames-nonfree (2.17-5) unstable; urgency=high

  * rogue/init.c: Give the initial bow a damage value of 1d1 for
    consistency with object.c; 1d2 was presumably a typo.
  * rogue/{object.c,rogue.h,save.c}: factor an assign_damage function out
    of gr_weapon, and call it from read_pack because saved values (raw
    pointers to string constants) may be invalid.  (The setup was always
    fragile, and broke altogether when 2.17-4 made the executable
    position-independent and subject to loading at randomized addresses.)
    (Closes: #695262.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 06 Dec 2012 21:53:01 -0500

bsdgames-nonfree (2.17-4) unstable; urgency=low

  * config.params: defer to debian/rules for build flags (which weren't
    set quite as intended in noopt mode anyway, per a longstanding typo).
  * debian/compat: Advance to Debhelper 9.
  * debian/control:
    - Build-Depends: debhelper (>= 9), implying a new enough dpkg-dev.
    - Depends: ${misc:Depends}, which debhelper could theoretically populate.
    - Vcs-*: point to (new) personal repository on anonscm.debian.org.
    - Retire conflict against ancient (pre-split) bsdgames.
    - Standards-Version: 3.9.3 (now compliant).
  * debian/copyright: clean up and convert to DEP5 format 1.0.
  * debian/rules:
    - Minimize further by switching to override_dh_* style.
    - Pass in dpkg's recommended flags, including full hardening flags.
  * (debian/).gitignore: ignore generated files.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 27 Jun 2012 21:43:37 -0400

bsdgames-nonfree (2.17-3) unstable; urgency=low

  * Migrate from CDBS to Debhelper 7.
  * Explicitly note distinction between main and non-free in debian/copyright.
  * Declare compliance with Policy 3.8.0.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 14 Jun 2008 18:10:04 -0400

bsdgames-nonfree (2.17-2) unstable; urgency=low

  * Convert to cdbs and debhelper 6.
  * Note compliance with current policy (3.7.3).
  * Set XS-Autobuild: yes, as the license isn't too severely non-free.

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 29 Mar 2008 19:51:53 -0400

bsdgames-nonfree (2.17-1) unstable; urgency=low

  * New upstream release.
  * debian/menu: Properly double-quote command.
  * debian/watch: Added, to help track future upstream versions.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 18 Feb 2005 22:09:47 -0500

bsdgames-nonfree (2.16-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update infrastructure copyright to cover 2004.
  * debian/docs: drop rogue.me (now covered by upstream build system).

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 20 Feb 2004 23:24:21 -0500

bsdgames-nonfree (2.15-2) unstable; urgency=low

  * debian/postinst: Use POSIX-blessed chown syntax. (Closes: #229199)
  * debian/rules: Tell vrms (and other interested parties) that the
    license forbids commercial use.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 23 Jan 2004 19:16:31 -0500

bsdgames-nonfree (2.15-1) unstable; urgency=low

  * New upstream release.
  * debian/control: standards-version 3.6.1 (no changes needed).
  * debian/copyright: rework once more; should now contain all needed info.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 22 Dec 2003 22:20:30 -0500

bsdgames-nonfree (2.14-2) unstable; urgency=low

  * config.params:
    - Make setgid games again (supposedly safe now...)
    - Support "noopt" in DEB_BUILD_OPTIONS.
    - debian/tmp -> debian/bsdgames-nonfree.
    - Miscellaneous typo fixes.
  * configure: Revert changes to defaults (config.params should suffice).


=== debian/control ===
Source: bsdgames-nonfree
Maintainer: Aaron M. Ucko <ucko@debian.org>
Section: non-free/games
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libncurses-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/ucko/bsdgames-nonfree
Vcs-Git: https://salsa.debian.org/ucko/bsdgames-nonfree.git
Rules-Requires-Root: binary-targets

Package: bsdgames-nonfree
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: bsdgames
Description: rogue, the classic dungeon exploration game
 This is a text-based game common on (traditional) BSD systems.  It may
 not be distributed freely, so it had to be broken off from the main
 bsdgames package and placed in non-free.
 .
 This package now contains only rogue, the classic dungeon exploration game.

=== debian/rules ===
#!/usr/bin/make -f
pkg         = bsdgames-nonfree
DEB_DESTDIR = $(CURDIR)/debian/$(pkg)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -- -f GNUmakefile distclean

override_dh_auto_configure:
	bsd_games_cfg_other_cflags="$(CFLAGS) $(CPPFLAGS)" \
	  bsd_games_cfg_other_ldflags="$(LDFLAGS)" \
	    ./configure

override_dh_auto_install:
	dh_auto_install -- INSTALL_PREFIX=$(DEB_DESTDIR)
	-rm -f $(DEB_DESTDIR)/var/games/$(pkg)/rogue.scores
	mkdir -p $(DEB_DESTDIR)/usr/share/vrms/reasons
	echo "$(pkg): No commercial use" \
	    > $(DEB_DESTDIR)/usr/share/vrms/reasons/$(pkg)
	cp rogue/CHANGES $(DEB_DESTDIR)/usr/share/doc/$(pkg)/CHANGES.rogue

override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

override_dh_fixperms:
	dh_fixperms -X/usr/games/rogue

=== debian/watch ===
version=4
ftp://ibiblio.org/pub/Linux/games/bsd-games-non-free-([0-9]+.*).tar.gz
# ftp://ibiblio.org/pub/Linux/Incoming/bsd-games-non-free-([0-9]+.*).tar.gz
